/*==============================================================================*/
/*  Copyright (C) 2009-2014, Heartland Data inc. All Rights Reserved.           */
/*                                                                              */
/*  Title  :   Data Writing Driver                                              */
/*  FileID :   43a                                                              */
/*  Version:   1.0                                                              */
/*  Author :   HLDC                                                             */
/*==============================================================================*/
package com.heartland.block;

public class DTdrv {
	public native void OpenFile();
	public native void CloseFile();
	public native void TPBusOut(int nAddress, int nData);
	public native void TPMemoryOutput(int nAddress, int nData, byte theValue, int size);
	public native void TPMemoryOutput(int nAddress, int nData, char theValue, int size);
	public native void TPMemoryOutput(int nAddress, int nData, short theValue, int size);
	public native void TPMemoryOutput(int nAddress, int nData, int theValue, int size);
	public native void TPMemoryOutput(int nAddress, int nData, long theValue, int size);
	public native void TPMemoryOutput(int nAddress, int nData, boolean theValue, int size);
	public native void TPMemoryOutput(int nAddress, int nData, byte[] theValue, int size, int nLength);
	public native void TPMemoryOutput(int nAddress, int nData, char[] theValue, int size, int nLength);
	public native void TPMemoryOutput(int nAddress, int nData, short[] theValue, int size, int nLength);
	public native void TPMemoryOutput(int nAddress, int nData, int[] theValue, int size, int nLength);
	public native void TPMemoryOutput(int nAddress, int nData, long[] theValue, int size, int nLength);
	public native void TPMemoryOutput(int nAddress, int nData, boolean[] theValue, int size, int nLength);

	static {
		System.loadLibrary("DTdrv");
	}
}
