/*==============================================================================*/
/*  Copyright (C) 2009-2014, Heartland Data inc. All Rights Reserved.           */
/*                                                                              */
/*  Title  :   Data Writing Driver                                              */
/*  FileID :   43a                                                              */
/*  Version:   1.0                                                              */
/*  Author :   HLDC                                                             */
/*==============================================================================*/

package com.heartland.block;

public class DtTestPointDriver {
    static public DTdrv jni = new DTdrv();

	//-------------------------------------------------------------------------
    //  TestPoint InsertCode Method
    //-------------------------------------------------------------------------
    /* Normal TestPoint Method */
    static public final void DtTestPoint(int nBaseAddress, int nStepNumber){
    	jni.TPBusOut(nBaseAddress, nStepNumber);
    }

    /* MemoryOutput TestPoint Method */
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }

    /* open file */
    static public final void TPOpenFile() {
    	jni.OpenFile();
    }
    
    /* close file */
    static public final void TpCloseFile() {
    	jni.CloseFile();
    }
}
